<html>
<head>
<title>OGRE: Ogre::ILUtil::ILFormat Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ILUtil.html">ILUtil</a>::<a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html">ILFormat</a></div>
<h1>Ogre::ILUtil::ILFormat Struct Reference</h1><!-- doxytag: class="Ogre::ILUtil::ILFormat" -->Structure that encapsulates a devIL image format definition.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="Attic_2OgreILUtil_8h-source.html">OgreILUtil.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ILUtil_1_1ILFormat-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#2c136fbcc91cf7bdaa381263423bd23d">ILFormat</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct an invalidated <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> structure.  <a href="#2c136fbcc91cf7bdaa381263423bd23d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#c334fde364f9f15937a2622f9bf31d48">ILFormat</a> (int channels, int <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#c4d438ca24540e1872261a87dc489fa5">format</a>, int <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#11b433a7c1b2c9c3d0a902be7d740dc3">type</a>=-1)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct a <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> from parameters.  <a href="#c334fde364f9f15937a2622f9bf31d48"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#ee20c6a1f9f0857826b7e000b51d0886">isValid</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return wether this structure represents a valid DevIL format.  <a href="#ee20c6a1f9f0857826b7e000b51d0886"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#2c136fbcc91cf7bdaa381263423bd23d">ILFormat</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct an invalidated <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> structure.  <a href="#2c136fbcc91cf7bdaa381263423bd23d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#c334fde364f9f15937a2622f9bf31d48">ILFormat</a> (int channels, int <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#c4d438ca24540e1872261a87dc489fa5">format</a>, int <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#11b433a7c1b2c9c3d0a902be7d740dc3">type</a>=-1)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Construct a <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> from parameters.  <a href="#c334fde364f9f15937a2622f9bf31d48"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#ee20c6a1f9f0857826b7e000b51d0886">isValid</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return wether this structure represents a valid DevIL format.  <a href="#ee20c6a1f9f0857826b7e000b51d0886"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#ec605c3e41056bb846cabfeafd75ecda">numberOfChannels</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of channels, usually 3 or 4.  <a href="#ec605c3e41056bb846cabfeafd75ecda"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#c4d438ca24540e1872261a87dc489fa5">format</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">IL_RGBA,IL_BGRA,IL_DXTx, ...  <a href="#c4d438ca24540e1872261a87dc489fa5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#11b433a7c1b2c9c3d0a902be7d740dc3">type</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">IL_UNSIGNED_BYTE, IL_UNSIGNED_SHORT, ... may be -1 for compressed formats.  <a href="#11b433a7c1b2c9c3d0a902be7d740dc3"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure that encapsulates a devIL image format definition. 
<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00044">44</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="2c136fbcc91cf7bdaa381263423bd23d"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::ILFormat" ref="2c136fbcc91cf7bdaa381263423bd23d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ILUtil::ILFormat::ILFormat           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct an invalidated <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> structure. 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00046">46</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c334fde364f9f15937a2622f9bf31d48"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::ILFormat" ref="c334fde364f9f15937a2622f9bf31d48" args="(int channels, int format, int type=-1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ILUtil::ILFormat::ILFormat           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>channels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>type</em> = <code>-1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> from parameters. 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00050">50</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2c136fbcc91cf7bdaa381263423bd23d"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::ILFormat" ref="2c136fbcc91cf7bdaa381263423bd23d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ILUtil::ILFormat::ILFormat           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct an invalidated <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> structure. 
<p>

<p>Definition at line <a class="el" href="OgreILUtil_8h-source.html#l00046">46</a> of file <a class="el" href="OgreILUtil_8h-source.html">OgreILUtil.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c334fde364f9f15937a2622f9bf31d48"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::ILFormat" ref="c334fde364f9f15937a2622f9bf31d48" args="(int channels, int format, int type=-1)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ILUtil::ILFormat::ILFormat           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>channels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>format</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>type</em> = <code>-1</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Construct a <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html" title="Structure that encapsulates a devIL image format definition.">ILFormat</a> from parameters. 
<p>

<p>Definition at line <a class="el" href="OgreILUtil_8h-source.html#l00050">50</a> of file <a class="el" href="OgreILUtil_8h-source.html">OgreILUtil.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ee20c6a1f9f0857826b7e000b51d0886"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::isValid" ref="ee20c6a1f9f0857826b7e000b51d0886" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ILUtil::ILFormat::isValid           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return wether this structure represents a valid DevIL format. 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00054">54</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ee20c6a1f9f0857826b7e000b51d0886"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::isValid" ref="ee20c6a1f9f0857826b7e000b51d0886" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::ILUtil::ILFormat::isValid           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return wether this structure represents a valid DevIL format. 
<p>

<p>Definition at line <a class="el" href="OgreILUtil_8h-source.html#l00054">54</a> of file <a class="el" href="OgreILUtil_8h-source.html">OgreILUtil.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ec605c3e41056bb846cabfeafd75ecda"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::numberOfChannels" ref="ec605c3e41056bb846cabfeafd75ecda" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#ec605c3e41056bb846cabfeafd75ecda">Ogre::ILUtil::ILFormat::numberOfChannels</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Number of channels, usually 3 or 4. 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00057">57</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c4d438ca24540e1872261a87dc489fa5"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::format" ref="c4d438ca24540e1872261a87dc489fa5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#c4d438ca24540e1872261a87dc489fa5">Ogre::ILUtil::ILFormat::format</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
IL_RGBA,IL_BGRA,IL_DXTx, ... 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00059">59</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="11b433a7c1b2c9c3d0a902be7d740dc3"></a><!-- doxytag: member="Ogre::ILUtil::ILFormat::type" ref="11b433a7c1b2c9c3d0a902be7d740dc3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1ILUtil_1_1ILFormat.html#11b433a7c1b2c9c3d0a902be7d740dc3">Ogre::ILUtil::ILFormat::type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
IL_UNSIGNED_BYTE, IL_UNSIGNED_SHORT, ... may be -1 for compressed formats. 
<p>

<p>Definition at line <a class="el" href="Attic_2OgreILUtil_8h-source.html#l00061">61</a> of file <a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following files:<ul>
<li><a class="el" href="Attic_2OgreILUtil_8h-source.html">Attic/OgreILUtil.h</a><li><a class="el" href="OgreILUtil_8h-source.html">OgreILUtil.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:04 2008
</p>
</body>
</html>
